Home | All Classes | Grouped Classes | Index | Search

# Class CL_Slot_Generic

Slot Generic Class More...

Derived from: none
Derived by: CL_Slot_v0
Group: Signal (System)

#include <ClanLib/signals.h>

Construction:

CL_Slot_Generic | Slot Generic Constructor

Attributes:

get_slot_ref | Get slot ref
get_signal_ref | Get signal ref
is_persistent | Returns true if persistent.

Operations:

add_slot_ref | Add slot ref
release_slot_ref | Release slot ref
add_signal_ref | Add signal ref
release_signal_ref | Release signal ref
set_persistent | Sets the persistent flag.

Detailed description:

!group=Signal/System! !header=signals.h!
Questions or comments, write to the ClanLib mailing list.